PDFCLEAN(1)

NAME
pdfclean - garbage collect, decompress and pretty print a PDF file

SYNOPSIS
pdfclean [options] PDFfile [output]

DESCRIPTION
This manual page briefly describes the pdfclean command. Unless any options that modify the behaviour are specified the input PDF file is pretty printed and stored under the output PDF file name (out.pdf if no file name is given).

OPTIONS
A description of each of the supported options is included below.

-p password
    Uses the given password during decryption of an encrypted PDF file. The password is tried both as user and owner password.

-g  Enables garbage collection of PDF objects that have no references from other objects.

-x  Expands compressed PDF object streams. This may make a file much larger, but provides easy access to all PDF object streams. Note that encrypted files requires the password to be set using -p .

SEE ALSO
mupdf(1), pdfdraw(1). pdfshow(1).

AUTHOR
MuPDF was written by Tor Andersson <tor@ghostscript.com>. MuPDF is Copyright 2006-2010 Artifex Software, Inc.

This manual page was written by Sebastian Rasmussen <sebras@hotmail.com>.